#ifndef MBED_HEPTAACCEL_H
#define MBED_HEPTAACCEL_H
#include "mbed.h"
#define UINT14_MAX      16383

//3axis Accel Sensor MMA8451Q
class HeptaAccel{
public:
    I2C accel;
    int addr;
    HeptaAccel(
        PinName sda,// Accel I2C port
        PinName scl,// Accel I2C port
        int aaddr                   
    );
    void setup();
    void sensing(float *ax,float *ay,float *az);
    void sensing_u16(char* ax_u16,char* ay_u16,char* az_u16, int *dsize);
    float x();
    float y();
    float z();
    void x_u16(char* a_u16, int *dsize);
    void y_u16(char* a_u16, int *dsize);
    void z_u16(char* a_u16, int *dsize);
private:
    char _cmd[2];
    short int _xmsb,_xlsb,_ymsb,_ylsb,_zmsb,_zlsb;
};

#endif